Call this endpoint to await the completion of a check session. A successful response will be returned once the check session reaches its final state (i.e. when it passes, fails, degrades, or is cancelled).
If the check session takes a long time to complete, the endpoint will return a timeout error code. You should keep calling the endpoint until you receive a successful response, or a non-timeout related error code. If using curl, its --retry option is suitable.
The successful response of this endpoint is equivalent to the GET /v2/check-sessions/{checkSessionId} endpoint’s response for a completed check session.
The status field may return CANCELLED for sessions cancelled via POST /v1/check-sessions/{checkSessionId}/cancel, and each per-result object includes an isCancelled boolean.
Documentation Index
Fetch the complete documentation index at: https://checklyhq.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure!
Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.
For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"
Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general
Check session ID.
Maximum time to wait for completion before returning a retryable timeout response.
1 <= x <= 30Successful
AGENTIC, API, BROWSER, HEARTBEAT, ICMP, MULTI_STEP, TCP, PLAYWRIGHT, URL, DNS PASSED, FAILED, DEGRADED, TIMED_OUT, CANCELLED CLI_DEPLOY, DEPLOYMENT, DEPLOYMENT_CACHE_WARMER, EDITOR, GROUP_RUN_ALL, LEGACY_TRIGGER, SCHEDULER, SCHEDULE_NOW, TEST_NO_RECORD, TEST_RECORD, TRIGGER_NO_RECORD, TRIGGER_RECORD, TRIGGER_API, null